怎么发
用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。
curl -X POST "https://api.silklinedata.com/v1/zhihu/homeFeed" \
-H "Authorization: Bearer $SILKLINE_KEY" \
-H "Content-Type: application/json" \
-d '{"limit":5}'import os, requests
response = requests.post(
"https://api.silklinedata.com/v1/zhihu/homeFeed",
headers={"Authorization": "Bearer " + os.environ["SILKLINE_KEY"]},
json={
"limit": 5,
},
)
answer = response.json()
print(answer["data"], answer["meta"]["charged_usd"])const response = await fetch("https://api.silklinedata.com/v1/zhihu/homeFeed", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"limit": 5
}),
});
const { data, cursor, meta } = await response.json();
console.log(data, meta.charged_usd);返回什么
这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。
200 OK · 取数日期 2026-11-09
{
"data": [
{
"type": "answer",
"answerId": "2103051349034276382",
"url": "https://www.zhihu.com/question/210303…",
"questionId": "2103039156586637089",
"title": "黄仁勋为何突然公开发文承认婚外情,为…",
"questionTitle": "黄仁勋为何突然公开发文承认婚外情,为…",
"text": "AI计算卡是美中对抗的最前沿,被视为阻…",
"excerpt": "AI计算卡是美中对抗的最前沿,被视为阻…",
"voteupCount": 951,
"commentCount": 130,
"favoriteCount": 193,
"createdAt": "2026-11-09T01:08:34Z",
"updatedAt": "2026-11-09T05:10:42Z",
"author": "<masked>",
"authorId": "<masked>",
"authorUrlToken": "<mas…",
"authorAvatar": "<masked>",
"authorHeadline": "<masked>",
"authorGender": null,
"authorFollowerCount": null,
"authorVerification": null,
"authorIpLocation": null
},
{
"type": "answer",
"answerId": "2102335595141919243",
"url": "https://www.zhihu.com/question/202033…",
"questionId": "20203379",
"title": "日本人真的很好色吗?",
"questionTitle": "日本人真的很好色吗?",
"text": "色不色不是很知道,不过确实挺开放的,…",
"excerpt": "色不色不是很知道,不过确实挺开放的,…",
"voteupCount": 64,
"commentCount": 14,
"favoriteCount": 27,
"createdAt": "2026-11-07T01:44:25Z",
"updatedAt": "2026-11-07T01:50:47Z",
"author": "<masked>",
"authorId": "<masked>",
"authorUrlToken": "<mas…",
"authorAvatar": "<masked>",
"authorHeadline": null,
"authorGender": "<masked>",
"authorFollowerCount": null,
"authorVerification": null,
"authorIpLocation": null
}
],
"cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
"meta": {
"request_id": "req_01JD8Q…",
"charged_usd": "0.007180",
"balance_usd": "9.875000",
"items": 2
}
}字段 22
| 字段 | 类型 | 示例值 |
|---|---|---|
| type | string | answer |
| answerId | string | 2103051349034276382 |
| url | string | https://www.zhihu.com/question/2103039156586637089/answer/21… |
| questionId | string | 2103039156586637089 |
| title | string | 黄仁勋为何突然公开发文承认婚外情,为什么选择这一时间? |
| questionTitle | string | 黄仁勋为何突然公开发文承认婚外情,为什么选择这一时间? |
| text | string | AI计算卡是美中对抗的最前沿,被视为阻止中国崛起的“最后关卡”。黄仁勋不听招呼,为了经济利益放任走私,美国政府早就想对付… |
| excerpt | string | AI计算卡是美中对抗的最前沿,被视为阻止中国崛起的“最后关卡”。黄仁勋不听招呼,为了经济利益放任走私,美国政府早就想对付… |
| voteupCount | number | 951 |
| commentCount | number | 130 |
| favoriteCount | number | 193 |
| createdAt | string | 2026-11-09T01:08:34Z |
| updatedAt | string | 2026-11-09T05:10:42Z |
| author | string | <masked> |
| authorId | string | <masked> |
| authorUrlToken | string | <masked> |
| authorAvatar | string | <masked> |
| authorHeadline | string | <masked> |
| authorGender | null | null |
| authorFollowerCount | null | null |
| authorVerification | null | null |
| authorIpLocation | null | null |
参数 1
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| limit | integer | 否 | 返回的记录条数,1 到 100。一次请求返回的条数不会超过这个数。 | 5 |
翻页
把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。
JavaScript
const params = {};
const records = [];
let cursor = null;
do {
const response = await fetch("https://api.silklinedata.com/v1/zhihu/homeFeed", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
});
const answer = await response.json();
records.push(...answer.data);
cursor = answer.cursor;
} while (cursor);
console.log(records.length);一次请求花多少
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。
这个接口一页最多 5 条,每页最低收费 $0.001298;要 100 条的请求会取 20 页。
- 1 条:最多 $0.00359
- 20 条:最多 $0.0718
- 100 条:最多 $0.359
返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。
常见问题
「首页推荐流」要传哪些参数?
没有必填参数。另外都可以传 limit(1 到 100)。
一次请求最多返回多少条?
每次请求最多 100 条(limit 1 到 100)。每页最多 5 条,要 100 条时一次请求取 20 页。
能接着往后取吗?
能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。
怎么收费?
每条 记录 $0.00359。每页最低收费 $0.001298:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.359。
请求失败或者没有结果时怎么收费?
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。